<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Slideris ENdless</title>
  </head>
  <body>
<style media="screen">
.fullslider{
  height: 20em;
  width: 1000px;
}
.fullslider .slidermain img{
  width: 1000px;
  height: 500px;
}
.fullslider .sliderselect{
  position: relative;
width: 1000px;
height: 100px;
overflow: hidden;

}
.fullslider .sliderselect ul li{
  display: inline-block;
  float: left;

}
.fullslider .sliderselect ul{
  padding: 0;

}
.fullslider .sliderselect #sliderlong ul li img{
  /*margin-left: -200px;*/
  width: 200px;
  height: 100px;
}
.fullslider .sliderselect #sliderlong{
  width: 2000px;
  height: 100px;
}
.slidecover{
  height: 100px;
  width: 1000px;
  position: absolute;

}
.slider_prev{
    position: absolute;
left: 0;
}
.slider_next{
    position: absolute;
right: 0;
}
#mainsliderul li{
  position: relative;
}
#mainsliderul a{
  position: absolute;
}
#sliderlong{
  margin-left: -200px;
}
</style>
<div class="fullslider">
    <div class="slidermain">
      <img src="1.jpg" alt="" id="mainimg">
    </div>
    <div class="sliderselect">
      <a href="#" class="slider_prev">Senas</a>
      <a href="#" class="slider_next">Kitas</a>
      <div id="sliderlong">
      <ul id="mainsliderul">
        <li> <img src="1.jpg" alt=""></li>
        <li> <img src="4.jpg" alt=""> </li>
        <li> <img src="5.jpg" alt=""> </li>
        <li> <img src="6.jpg" alt=""> </li>
        <li> <img src="2.jpg" alt=""> </li>
        <li> <img src="5.jpg" alt=""> </li>
        <li> <img src="6.jpg" alt=""> </li>
        <li> <img src="2.jpg" alt=""> </li>
      </ul>
      </div>
    </div>
</div>


<script
  src="https://code.jquery.com/jquery-3.2.1.js"
  integrity="sha256-DZAnKJ/6XZ9si04Hgrsxu/8s717jcIzLy3oi35EouyE="
  crossorigin="anonymous"></script>
<script>
var slider = function(x1, width, time){
  var self = this;
  var mainimgelement = $('#mainimg');
  var sliderlong = $('#sliderlong');
  var mainsliderul = $('#mainsliderul');
  var start = 0;
  var end = 0;
  var elementwidth = width;
  var sliderlielementimg = $('#mainsliderul li img');
  var animationtime = time;
  this.btnprev = $('a.slider_prev');
  this.btnnext = $('a.slider_next');
  this.clicksetimg = x1;
  this.sliderlielement = $('#sliderlong ul li');
  this.$win = $(window);
  this.$overlay = sliderlong
  this.liCount = this.sliderlielement.length;
  this.liWidth = this.sliderlielement.width();
  this.count =this.liCount * this.liWidth;
  this.setwidth =function(){sliderlong.width(this.count)};
  sliderlielementimg.on('dragstart', function(event) { event.preventDefault(); });
  if (this.clicksetimg) {
  sliderlielementimg.click(function (event) {
         mainimgelement.attr('src',this.src);
    });
    }
    this.moveLeft = function() {
        sliderlong.animate({
      'margin-left': + ('0') +'px'
    }, time, function () {
      $('#sliderlong ul li:last-child').prependTo(mainsliderul);
      sliderlong.css("marginLeft", elementwidth);
    })};
    this.moveRight = function() {
      sliderlong.animate({
          'margin-left': (-this.liWidth - this.liWidth) +'px'
        }, time, function () {
          $('#sliderlong ul li:first-child').appendTo(mainsliderul);
          sliderlong.css("marginLeft", elementwidth);
    })};
    this.btnprev.click(function () {
        self.moveLeft();
    });
    this.btnnext.click(function () {
        self.moveRight();
    });
    this.checkside = function(){
      if(start < end && (end - start) > 70) {
      self.moveLeft();
      }
      if (start > end && (start - end) > 70) {
     self.moveRight();
      }
    };
    sliderlielementimg.on('touchstart', function(event) {
          start = event.touches[0].pageX;
    });
    sliderlielementimg.on('touchend', function(event) {
          end = event.changedTouches[0].pageX;
          self.checkside();
    });
    sliderlielementimg.on('mousedown', function(event) {
          start = event.pageX;
    });
    sliderlielementimg.on('mouseup', function(event) {
         end = event.pageX;
         self.checkside();
    });
}

var slaideriukas = new slider(true, "-200px",200);
slaideriukas.setwidth();

</script>
  </body>
</html>
